# ModelingToolkitStandardLibrary: Electrical Components
```@meta
CurrentModule = ModelingToolkitStandardLibrary.Electrical
```


```@contents
Pages = ["electrical.md"]
```
## Index
```@index
Pages = ["electrical.md"]
```

## Electrical Utilities

```@docs
Pin
OnePort
DigitalPin
```

## Analog Components

```@docs
Ground
Resistor
Conductor
Capacitor
Inductor
IdealOpAmp
```

## Analog Sensors

```@docs
CurrentSensor
PotentialSensor
VoltageSensor
PowerSensor
MultiSensor
```

## Analog Sources

```@docs
ConstantVoltage
SineVoltage
StepVoltage
RampVoltage
SquareVoltage
TriangularVoltage
CosineVoltage
ExpSineVoltage
ConstantCurrent
SineCurrent
StepCurrent
RampCurrent
SquareCurrent
TriangularCurrent
CosineCurrent
ExpSineCurrent
```

## Digital Gates
```@docs
Not
And
Nand
Or
Nor
Xor
Xnor
```

## Digital Components
```@docs
HalfAdder
FullAdder
MUX
DEMUX
Encoder
Decoder
```

## Digital Sources
```@docs
PulseDiff
Set
Reset
Pulse
```
