# ModelingToolkitStandardLibrary.jl

ModelingToolkitStandardLibrary.jl is a standard library for the 
[ModelingToolkit](https://mtk.sciml.ai/dev/) acasual modeling system.

## Installation

Assuming that you already have Julia correctly installed, it suffices to import
ModelingToolkitStandardLibrary.jl in the standard way:

```julia
import Pkg; Pkg.add("ModelingToolkitStandardLibrary")
```

## Tutorials 

- [RC Circuit](http://mtkstdlib.sciml.ai/dev/tutorials/rc_circuit/)
- [Custom Component](http://mtkstdlib.sciml.ai/dev/tutorials/custom_component/)
- [Thermal Model](http://mtkstdlib.sciml.ai/dev/tutorials/thermal_model/)

## Libraries

The following are the constituant libraries of the ModelingToolkit Standard Library.

- [Basic Blocks](http://mtkstdlib.sciml.ai/dev/API/blocks/)
- [Mechanical Components](http://mtkstdlib.sciml.ai/dev/API/mechanical/)
- [Electrical Components](http://mtkstdlib.sciml.ai/dev/API/electrical/)
- [Magnetic Components](http://mtkstdlib.sciml.ai/dev/API/magnetic/)
- [Thermal Components](http://mtkstdlib.sciml.ai/dev/API/thermal/)
